Retrieve all PasswordPolicy
This endpoint enables retrieving all PasswordPolicy using pagination and optional filters.
The token can be generated using the Authentication API.
When set to true, then the policy that is in effect for the actor's contract (as defined by the JWT) is returned.
ATM this has the only effect that if no policy is defined for the user/contract, then the IONOS default policy is returned.
falseReturned all requested PasswordPolicy successfully.
ID of the list of PasswordPolicy resources.
95f76a5e-86cd-52e0-b080-f22f131718e5The type of the resource.
The URL of the list of PasswordPolicy resources.
/passwordpoliciesBad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /passwordpolicies HTTP/1.1
Host: iam.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "95f76a5e-86cd-52e0-b080-f22f131718e5",
"type": "collection",
"href": "/passwordpolicies",
"items": [
{
"id": "70323699-7c28-58e7-9e0c-ff644f6947a5",
"type": "passwordpolicy",
"href": "/passwordpolicies/70323699-7c28-58e7-9e0c-ff644f6947a5",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>"
},
"properties": {
"description": "Password policy for John Doe.",
"minLength": 1,
"minNumberChars": 0,
"minUpperChars": 0,
"minLowerChars": 0,
"minSpecialChars": 0
}
}
]
}Last updated
Was this helpful?